#include <iostream>

using namespace std;

int f( long int fniz[], long int k, long int n){
	
	long int sum = 0;
	
	if(k == 0){
		
		for(long int i = 0; i < n; i++){
			
			sum = sum + fniz[i];
		}
	}
	
	else{	
	
		for(long int i = 0; i < n ; i++){
			
        	for (long int j = i; j < n; j++){
        		
        		long int pomocni[j];
        		long int br = 0;
        		
            	for (long int l = i; l <= j; l++){
            		
            		pomocni[br]=fniz[l];
            		br++;
            	}
				sum = sum + f(pomocni,k-1,br);
        	}
    	}			
	}		
	return sum;
}

int main(int argc, char** argv) {
	
long int n,k;
cin>>n>>k;
long int niz[n];

for(long int i =0; i<n;i++){
	
	cin>>niz[i];
}
cout<<f(niz,k,n);

	return 0;
}